//	--------------------------------------------------------------------------
//
//	SPRITES.HPP
//
//	--------------------------------------------------------------------------

#ifndef		__sprites_hpp
#define		__sprites_hpp

#include	"graphics.hpp"
#include	"resource.hpp"

class SpriteResourceFile : public ResourceFile
	{
	public:
		SpriteResourceFile(DirString* pathname,uint options,long num_resources = 256);
		SpriteResourceFile(const char* pathname,uint options,long num_resources = 256);
		~SpriteResourceFile();

		spriteHeader	GetResourceHeader (long resource_num);
		int				WriteResource(long resource_num,sprite* buffer);
		int				ReadResource(long resource_num,sprite* buffer);

		char**			LoadAllResources();
		void			FreeAllResources(char** datalist);

		int				AddResource(sprite* spr);
	};

#endif
