//	-------------------------------------------------------------------------
//
//	MISC.CPP
//
//	-------------------------------------------------------------------------
//
//	AUTHOR:			Darren J. Dwyer
//
//	DESCRIPTION:	This file contains code for some simple functions such as
//					max(), min(), etc.
//
//	-------------------------------------------------------------------------

#include "misc.hpp"

#include "stdlib.h"

#ifdef __cplusplus

//	-------------------------------------------------------------------------
//
//	FUNC:		min
//	DESC:       returns the minimum of its two parameters.
//
//	-------------------------------------------------------------------------
int min(int a,int b)
	{
	return ((a<b) ? a : b);
	}

//	-------------------------------------------------------------------------
//
//	FUNC:		max
//	DESC:       returns the maximum of its two parameters.
//
//	-------------------------------------------------------------------------

int max(int a,int b)
	{
	return ((a>b) ? a : b);
	}

#endif
